summaryrefslogtreecommitdiff
path: root/archiso/initcpio/hooks/archiso_pxe_common
diff options
context:
space:
mode:
Diffstat (limited to 'archiso/initcpio/hooks/archiso_pxe_common')
-rw-r--r--archiso/initcpio/hooks/archiso_pxe_common7
1 files changed, 6 insertions, 1 deletions
diff --git a/archiso/initcpio/hooks/archiso_pxe_common b/archiso/initcpio/hooks/archiso_pxe_common
index d8ac709..0ee33d0 100644
--- a/archiso/initcpio/hooks/archiso_pxe_common
+++ b/archiso/initcpio/hooks/archiso_pxe_common
@@ -25,7 +25,12 @@ run_hook () {
fi
# setup network and save some values
- ipconfig "ip=${ip}"
+ if ! ipconfig "ip=${ip}"; then
+ echo "ERROR; Failed to configure network"
+ echo " Falling back to interactive prompt"
+ echo " You can try to fix the problem manually, log out when you are finished"
+ launch_interactive_shell
+ fi
. /tmp/net-*.conf